## unifont 12.0.01

=== Makefile ===
#
# unifoundry.com utilities for the GNU Unifont
#
# Typing "make && make install" will make and
# install the binary programs and man pages.
# To build only the font from scratch, use
# "cd font ; make"
#
SHELL = /bin/sh
INSTALL = install
GZFLAGS = -f -9 -n

PACKAGE = "unifont"
VERSION = 12.0.01

#
# The settings below will install software, man pages, and documentation
# in /usr/local.  To install in a different location, modify USRDIR to
# your liking.
#
USRDIR = usr
# USRDIR = usr/local
PREFIX = $(DESTDIR)/$(USRDIR)
PKGDEST = $(PREFIX)/share/unifont

VPATH = lib font/plane00 font/ttfsrc

HEXFILES = hangul-syllables.hex plane00-nonprinting.hex pua.hex spaces.hex \
	   plane00-unassigned.hex unifont-base.hex wqy.hex

#
# HEXWIDTH and ZEROWIDTH are for forming wcwidth values.
#
HEXWIDTH = font/plane00/hangul-syllables.hex \
	   font/plane00/spaces.hex \
	   font/plane00/unifont-base.hex \
	   font/plane00/wqy.hex \
	   font/plane00/custom00.hex \
	   font/plane00/plane00-nonprinting.hex \
	   font/plane00csur/plane00csur.hex \
	   font/plane00csur/plane00csur-spaces.hex \
	   font/plane01/plane01.hex \
	   font/plane01/plane01-nonprinting.hex \
	   font/plane0Fcsur/plane0Fcsur.hex

ZEROWIDTH = font/plane00/plane00-combining.txt \
	    font/plane00csur/plane00csur-combining.txt \
	    font/plane01/plane01-combining.txt \
	    font/plane0E/plane0E-combining.txt \
	    font/plane0Fcsur/plane0Fcsur-combining.txt

TEXTFILES = ChangeLog INSTALL NEWS README

#
# Whether to build the font or not (default is not).
# Set to non-null value to build font.
#
BUILDFONT=

#
# Whether to install man pages uncompressed (COMPRESS = 0) or
# compressed (COMPRESS != 0).
#
COMPRESS = 1

all: bindir libdir docdir buildfont
	@echo "Make is done."

#
# Build a distribution tarball.
#
dist: distclean
	(cd .. && tar cf $(PACKAGE)-$(VERSION).tar $(PACKAGE)-$(VERSION) && \
		gzip $(GZFLAGS) $(PACKAGE)-$(VERSION).tar)

bindir:
	set -e && $(MAKE) -C src

#
# Conditionally build the font, depending on the value of BUILDFONT.
# To build the font unconditionally, use the "fontdir" target below.
#
buildfont: bindir
	if [ x$(BUILDFONT) != x ] ; \
        then \
           set -e && $(MAKE) -C font ; \
        fi

#
# Not invoked automatically; the font files are taken from
# font/precompiled by default.
#
fontdir:
	set -e && $(MAKE) -C font

libdir: lib/wchardata.c

docdir:
	set -e && $(MAKE) -C doc

mandir:
	set -e && $(MAKE) -C man

precompiled:
	set -e && $(MAKE) precompiled -C font

#
# Create lib/wchardata.c.  If you want to also build the object file
# wchardata.o, uncomment the last line
#
lib/wchardata.c: $(HEXWIDTH) $(ZEROWIDTH) bindir
	install -m0755 -d lib
	sort $(HEXWIDTH) > unifonttemp.hex
	sort $(ZEROWIDTH) > combiningtemp.txt
	bin/unigenwidth unifonttemp.hex combiningtemp.txt > lib/wchardata.c
	\rm -f unifonttemp.hex combiningtemp.txt
#	(cd lib && $(CC) $(CFLAGS) -c wchardata.c && chmod 644 wchardata.o )

install: bindir libdir docdir
	$(MAKE) -C src install PREFIX=$(PREFIX)
	$(MAKE) -C man install PREFIX=$(PREFIX) COMPRESS=$(COMPRESS)
	$(MAKE) -C font install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)
	install -m0755 -d $(PKGDEST)
	# install -m0644 -p $(TEXTFILES) doc/unifont.txt doc/unifont.info $(PKGDEST)
	# for i in $(TEXTFILES) unifont.txt unifont.info ; do \
	#    gzip $(GZFLAGS) $(PKGDEST)/$$i ; \
	# done
	install -m0644 -p lib/wchardata.c $(PKGDEST)
	install -m0644 -p font/plane00/plane00-combining.txt $(PKGDEST)
	# If "make" wasn't run before, font/compiled won't exist.
	if [ ! -d font/compiled ] ; then \
	   install -m0644 -p font/precompiled/unifont-$(VERSION).hex   $(PKGDEST)/unifont.hex && \
	   install -m0644 -p font/precompiled/unifont-$(VERSION).bmp $(PKGDEST)/unifont.bmp ; \
	else \
	   install -m0644 -p font/compiled/unifont-$(VERSION).hex   $(PKGDEST)/unifont.hex && \
	   install -m0644 -p font/compiled/unifont-$(VERSION).bmp $(PKGDEST)/unifont.bmp ; \
	fi
	gzip $(GZFLAGS) $(PKGDEST)/unifont.bmp

clean:
	$(MAKE) -C src  clean
	$(MAKE) -C doc  clean
	$(MAKE) -C man  clean
	$(MAKE) -C font clean
	\rm -rf *~

#
# The .DS files are created under Mac OS X
#
distclean:
	$(MAKE) -C src  distclean
	$(MAKE) -C doc  distclean
	$(MAKE) -C man  distclean
	$(MAKE) -C font distclean
	\rm -rf bin lib
	\rm -f unifonttemp.hex
	\rm -rf *~
	\rm -rf .DS* ._.DS*

.PHONY: all dist bindir buildfont fontdir libdir docdir mandir precompiled install clean distclean

=== font/Makefile ===
#
# Makefile to build a version of GNU Unifont with the
# unifoundry.com GNU Unifont utilities.  This Makefile
# converts unifont-$(VERSION).hex and related files into a final
# GNU Unifont font file.
#
# This software is released under version 2.0 of the GNU Public License,
# or (at your option) a later version of the GPL.
#
# Paul Hardy, 7 July 2008
#
# commands will be interpreted with the Bourne Shell
#
SHELL = /bin/sh
INSTALL = install
GZFLAGS = -f -9 -n
FONTFORGE = fontforge
#
VERSION = 12.0.01

COPYRIGHT = "Copyright (C) 1998-2019 Roman Czyborra, Paul Hardy, \
Qianqian Fang, Andrew Miller, Johnnie Weaver, David Corbett, et al. \
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html> \
with the GNU Font Embedding Exception."

#
# Path to local unifont-bin utilities.  If your system doesn't
# use GNU's version of "make", use the first BINDIR definition.
# If using GNU's "make", use the second BINDIR definition.
#
# BINDIR = ../bin
BINDIR = $(CURDIR)/../bin
#
# The top-level directory for installing fonts on the system,
# and the installation directories for PCF and TrueType fonts.
#
CONSOLEDEST = $(DESTDIR)/usr/share/consolefonts
FONTDEST    = $(DESTDIR)/usr/share/fonts
PCFDEST     = $(FONTDEST)/X11/misc
TTFDEST     = $(FONTDEST)/truetype/unifont
#
# destination directory for compiled fonts
#
COMPILED_DIR = compiled
#
# destination directory for .bmp or .png representation of font
#
BMPDIR = $(COMPILED_DIR)/bmp
PNGDIR = $(COMPILED_DIR)/png

# Choose one graphics format or neither.
GRAPHICS=png
# GRAPHICS=bmp
#
# Directory with original unifont-$(VERSION).hex files
#
HEXDIR = plane00
#
# These are the files for building GNU Unifont with the Qianqian Fang's
# Wen Quan Yi CJK ideographs.  This version provides complete coverage
# of the Unicode Basic Multilingual Plane.
#
# If you don't want to include blank glyphs in unassigned code points,
# uncomment the UNASSIGNED definition or override from the make command line.
#
# Likewise, uncomment the PUA definition if you want to use Private
# Use Area glyphs.
#
UNASSIGNED = $(HEXDIR)/plane00-unassigned.hex
# UNASSIGNED =

#
# Non-printing glyphs.  There are only about 100 of these, and many end
# users do want to print representations of these glyphs, so they are
# included as an optional assignment.
#
NONPRINTING = $(HEXDIR)/plane00-nonprinting.hex
# NONPRINTING =

#
# Private Use Area glyphs.  Uncomment to include four-digit hexadecimal glyphs
# or override from the make command line.
#
# PUA = $(HEXDIR)/pua.hex
PUA = 

# The remaining .hex files will be constant unless a customized font
# is being built.  Note that COPYLEFT contains the encoding for U+01F12F,
# which is in Unicode Plane 1 rather than Plane 0.  It is included in the
# base Plane 0 Unifont TTF font as an exception because of its significance.
UNIFONTBASE = $(HEXDIR)/unifont-base.hex
CJK         = $(HEXDIR)/wqy.hex
HANGUL      = $(HEXDIR)/hangul-syllables.hex
SPACES      = $(HEXDIR)/spaces.hex
CUSTOM00    = $(HEXDIR)/custom00.hex
COPYLEFT    = $(HEXDIR)/copyleft.hex

UNIFILES = $(UNIFONTBASE) $(CJK) $(HANGUL) $(SPACES) $(UNASSIGNED) \
	   $(NONPRINTING) $(PUA) $(CUSTOM00)

#
# Planes 1 through 14 (0x0E) are ordinary;
# Planes 15 (0x0F) and 16 (0x10) are Private Use Area
#
UPPER_FILES = plane0[1-E]/*.hex

#
# Location of the file containing a list of Unicode combining characters.
#
COMBINING = plane00/plane00-combining.txt

UPPER_COMBINING = plane0[1-E]/*combining.txt

VPATH = plane00 ttfsrc

#
# Location of  TTF source directory, where TTF font is built.
#
TTFSRC = ttfsrc


all: compiled

compiled: $(UNIFILES) $(COMBINING) $(UPPER_FILES) $(UPPER_COMBINING)
	$(MAKE) compiled-files

compiled-files: pcf psf $(GRAPHICS) ttf csurttf upperttf bigpic coverage
	install -p index.html $(COMPILED_DIR)/index.html

#
# Build the aggregate .hex font files
#
hex:
	if [ ! -d $(COMPILED_DIR) ] ; then \
	   mkdir -p $(COMPILED_DIR) ; \
	fi
	sort $(UNIFILES) > $(COMPILED_DIR)/unifont-$(VERSION).hex
	(cd $(HEXDIR) && sort *.hex) | \
	  egrep -v "^FFF[EF]" | grep -v "^01F12F:" | \
	   $(BINDIR)/unigencircles $(COMBINING) plane00/plane00-nonprinting.hex \
	   > $(COMPILED_DIR)/unifont_sample-$(VERSION).hex
	sort $(UPPER_FILES) \
	   > $(COMPILED_DIR)/unifont_upper-$(VERSION).hex
	sort $(UPPER_COMBINING) > $(COMPILED_DIR)/upper_combining.txt
	sort plane0[1-E]/plane*-nonprinting.hex \
	   > $(COMPILED_DIR)/upper_nonprinting.hex
	# Generate files in plane01/all directory to create font sample book.
	(cd plane01 && make)
	sort plane01/all/plane01-all.hex plane0[2-E]/*.hex | egrep -v "^..FFF[EF]" | \
	   $(BINDIR)/unigencircles $(COMPILED_DIR)/upper_combining.txt \
	   $(COMPILED_DIR)/upper_nonprinting.hex \
	   > $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex
	# Create a .hex file with CSUR glyphs, without combining circles
	sort $(COMPILED_DIR)/unifont-$(VERSION).hex plane00csur/*.hex \
	   > $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex
	# Create a .hex file with only CSUR glyphs from all planes
	sort plane00csur/*.hex | sed -e 's/^/00/' \
	   > $(COMPILED_DIR)/unifont_csur-$(VERSION).hex
	sort plane0[1-F]csur/*.hex \
	   >> $(COMPILED_DIR)/unifont_csur-$(VERSION).hex
	# Create a .hex file with all CSUR glyphs, with combining circles
	sort plane00csur/plane00csur-combining.txt \
	   >  $(COMPILED_DIR)/csur_combining.txt
	sort plane0[1-F]csur/plane0[1-F]csur-combining.txt \
	   >> $(COMPILED_DIR)/csur_combining.txt
	$(BINDIR)/unigencircles \
	     $(COMPILED_DIR)/csur_combining.txt \
	     plane00/plane00-nonprinting.hex \
	   < $(COMPILED_DIR)/unifont_csur-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_csur_sample-$(VERSION).hex

#
# Build a BDF font file from the final .hex file.
#
bdf: hex
	# First make the default BDF font.  The font name will be "unifont".
	$(BINDIR)/hex2bdf --version "$(VERSION)" --copyright $(COPYRIGHT) \
	   $(COMPILED_DIR)/unifont-$(VERSION).hex \
	   >$(COMPILED_DIR)/unifont-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont-$(VERSION).bdf.gz
	# Now make a version with combining circles.  The font name
	# will be "unifont_sample" instead of "unifont" to distinguish
	# it from the default font.
	$(BINDIR)/hex2bdf --font "Unifont Sample" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_sample-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_sample-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf.gz
	# Font with ConScript Unicode Registry (CSUR) glyphs added
	$(BINDIR)/hex2bdf --font "Unifont CSUR" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_csur-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf.gz
	# Font with glyphs above Plane 0
	$(BINDIR)/hex2bdf --font "Unifont Upper" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_upper-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_upper-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf.gz
	# Font with glyphs above Plane 0 with combining circles added
	$(BINDIR)/hex2bdf --font "Unifont Upper Sample" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_upper_sample-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_upper_sample-$(VERSION).bdf.gz

#
# Build a PCF font file from the final .hex file.
#
pcf: bdf
	bdftopcf <$(COMPILED_DIR)/unifont-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont-$(VERSION).pcf
	gzip $(GZFLAGS) $(COMPILED_DIR)/unifont-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_sample-$(VERSION).pcf
	gzip $(GZFLAGS) $(COMPILED_DIR)/unifont_sample-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_csur-$(VERSION).pcf
	gzip $(GZFLAGS) $(COMPILED_DIR)/unifont_csur-$(VERSION).pcf

#
# Make the PSF (console) font for APL (A Programming Language).
#
psf: bdf
	bdf2psf --fb \
	   $(COMPILED_DIR)/unifont-$(VERSION).bdf \
	   psf/apl-equivalents.txt \
	   psf/unifont-apl.txt \
	   512 \
	   $(COMPILED_DIR)/Unifont-APL8x16-$(VERSION).psf
	gzip $(GZFLAGS) $(COMPILED_DIR)/Unifont-APL8x16-$(VERSION).psf

#
# Print coverage of all scripts in Unifont.  Combine all Plane 0
# directories first to keep everything ordered properly.  Only keep
# the space glyph from the Plane 0 Unifont source hex file; it is
# duplicated in other files used to create separate fonts.  Don't
# use plane00/pua.hex (U+E000..U+F8FF) because we are including
# Plane 0 CSUR glyphs.  The built unifont_csur_lower-$(VERSION).hex
# includes all non-Private Use Area Plane 0 glyphs, so start with it
# as a baseline.  Remove the Plane 1 Copyleft glyph from the Plane 0
# set of hex files.
#
coverage:
	grep -v "^01F12F" $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_all-$(VERSION).hex
	sort plane0[1-E]/*.hex plane0Fcsur/*.hex | grep -v "^0020:" \
	   >> $(COMPILED_DIR)/unifont_all-$(VERSION).hex
	$(BINDIR)/unicoverage \
	   -i$(COMPILED_DIR)/unifont_all-$(VERSION).hex \
	   -o$(COMPILED_DIR)/coverage.txt
	\rm -f $(COMPILED_DIR)/unifont_all-$(VERSION).hex
#
# Print HTML page coverage in Basic Multilingual Plane in .txt file.
#
pagecount: $(COMPILED_DIR)/unifont-$(VERSION).hex $(BINDIR)/unipagecount
	$(BINDIR)/unipagecount -l < $(COMPILED_DIR)/unifont-$(VERSION).hex \
		                  > $(COMPILED_DIR)/pagecount.html

#
# Create the .png (Portable Network Graphics) versions of the glyphs.
#
png: hex $(BINDIR)/unihex2png
	if [ ! -d $(PNGDIR) ] ; then \
	   mkdir -p $(PNGDIR) ; \
	fi
	if [ ! -d $(PNGDIR)/plane00 ] ; then \
	   mkdir -p $(PNGDIR)/plane00 ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 00$$i$$j \
	         -i $(COMPILED_DIR)/unifont_sample-$(VERSION).hex \
	         -o $(PNGDIR)/plane00/uni00$$i$$j.png ; \
	   done ; \
	done
	if [ ! -d $(PNGDIR)/plane01 ] ; then \
	   mkdir -p $(PNGDIR)/plane01 ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 01$$i$$j \
	         -i $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex \
	         -o $(PNGDIR)/plane01/uni01$$i$$j.png ; \
	   done ; \
	done
	if [ ! -d $(PNGDIR)/plane0E ] ; then \
	   mkdir -p $(PNGDIR)/plane0E ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 0E$$i$$j \
	         -i $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex \
	         -o $(PNGDIR)/plane0E/uni0E$$i$$j.png ; \
	   done ; \
	done
	if [ ! -d $(PNGDIR)/csur ] ; then \
	   mkdir -p $(PNGDIR)/csur ; \
	fi
	for i in E0 E1 E2 E3 E4 E5 E6 E7 E8 E9 EA EB EC ED EE EF \
	         F0 F1 F2 F3 F4 F5 F6 F7 F8 ; do \
	      $(BINDIR)/unihex2png -p 00$$i \
	         -i $(COMPILED_DIR)/unifont_csur_sample-$(VERSION).hex \
	         -o $(PNGDIR)/csur/uni00$$i.png ; \
	done
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 0F$$i$$j \
	         -i $(COMPILED_DIR)/unifont_csur_sample-$(VERSION).hex \
	         -o $(PNGDIR)/csur/uni0F$$i$$j.png ; \
	   done ; \
	done
	# Create HTML table showing color-coded percent coverage in Plane 0.
	$(BINDIR)/unipagecount -h < $(COMPILED_DIR)/unifont-$(VERSION).hex \
	                          > $(COMPILED_DIR)/plane00.html
	# Create HTML table showing color-coded percent coverage in Plane 1.

=== hangul/Makefile ===

SHELL = /bin/sh

BINDIR = ../bin
GZFLAGS = -f -9 -n

#
VERSION = 12.0.01

COPYRIGHT = "Copyright (C) 2013 Paul Hardy.  \
Licensed under the GNU General Public License; either version 2, or \
(at your option) a later version, with the GNU Font Embedding Exception."


all: hangul-syllables

hangul-syllables: hangul-hex hangul-bmp ksx chojung

# Convert the hanbase-??.bmp files into a Johab .hex file,
# then convert that into a BDF font file.

hangul-hex:
	echo "0000:0000000000000000000000000000000000000000000000000000000000000000" >hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-00.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-01.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-02.bmp >>hangul-base.hex
	$(BINDIR)/hex2bdf \
	   -f "Unifont Johab" -c $(COPYRIGHT) -v "$(VERSION)" \
	   < hangul-base.hex | \
	   sed -e "s/[Ii][Ss][Oo]10646/Johab/g" >hangul-base.bdf
	bdftopcf < hangul-base.bdf > hangul-base.pcf
	gzip $(GZFLAGS) hangul-base.pcf
	$(BINDIR)/johab2ucs2 < hangul-base.bdf > hangul-syllables.hex

# Convert the .hex file containing all Unicode Hangul Syllables
# into bitmap images for checking visually.

hangul-bmp: hangul-syllables.hex
	if [ ! -d syllables ]; then \
		mkdir syllables; \
	fi
	$(BINDIR)/unihex2bmp -pAC < hangul-syllables.hex > syllables/hangul-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < hangul-syllables.hex > syllables/hangul-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < hangul-syllables.hex > syllables/hangul-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < hangul-syllables.hex > syllables/hangul-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < hangul-syllables.hex > syllables/hangul-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < hangul-syllables.hex > syllables/hangul-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < hangul-syllables.hex > syllables/hangul-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < hangul-syllables.hex > syllables/hangul-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < hangul-syllables.hex > syllables/hangul-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < hangul-syllables.hex > syllables/hangul-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < hangul-syllables.hex > syllables/hangul-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < hangul-syllables.hex > syllables/hangul-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < hangul-syllables.hex > syllables/hangul-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < hangul-syllables.hex > syllables/hangul-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < hangul-syllables.hex > syllables/hangul-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < hangul-syllables.hex > syllables/hangul-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < hangul-syllables.hex > syllables/hangul-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < hangul-syllables.hex > syllables/hangul-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < hangul-syllables.hex > syllables/hangul-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < hangul-syllables.hex > syllables/hangul-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < hangul-syllables.hex > syllables/hangul-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < hangul-syllables.hex > syllables/hangul-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < hangul-syllables.hex > syllables/hangul-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < hangul-syllables.hex > syllables/hangul-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < hangul-syllables.hex > syllables/hangul-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < hangul-syllables.hex > syllables/hangul-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < hangul-syllables.hex > syllables/hangul-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < hangul-syllables.hex > syllables/hangul-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < hangul-syllables.hex > syllables/hangul-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < hangul-syllables.hex > syllables/hangul-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < hangul-syllables.hex > syllables/hangul-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < hangul-syllables.hex > syllables/hangul-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < hangul-syllables.hex > syllables/hangul-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < hangul-syllables.hex > syllables/hangul-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < hangul-syllables.hex > syllables/hangul-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < hangul-syllables.hex > syllables/hangul-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < hangul-syllables.hex > syllables/hangul-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < hangul-syllables.hex > syllables/hangul-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < hangul-syllables.hex > syllables/hangul-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < hangul-syllables.hex > syllables/hangul-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < hangul-syllables.hex > syllables/hangul-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < hangul-syllables.hex > syllables/hangul-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < hangul-syllables.hex > syllables/hangul-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < hangul-syllables.hex > syllables/hangul-D7.bmp

#
# Extract those syllables that appear in KS X 1001:1992.
# These are the 2,350 syllables in modern usage out of
# a total possible 11,172 syllables.
#
ksx: hangul-syllables.hex
	if [ ! -d ksx-syllables ]; then \
		mkdir ksx-syllables; \
	fi
	$(BINDIR)/unifontksx < hangul-syllables.hex > ksx-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < ksx-syllables.hex > ksx-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < ksx-syllables.hex > ksx-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < ksx-syllables.hex > ksx-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < ksx-syllables.hex > ksx-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < ksx-syllables.hex > ksx-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < ksx-syllables.hex > ksx-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < ksx-syllables.hex > ksx-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < ksx-syllables.hex > ksx-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < ksx-syllables.hex > ksx-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < ksx-syllables.hex > ksx-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < ksx-syllables.hex > ksx-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < ksx-syllables.hex > ksx-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < ksx-syllables.hex > ksx-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < ksx-syllables.hex > ksx-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < ksx-syllables.hex > ksx-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < ksx-syllables.hex > ksx-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < ksx-syllables.hex > ksx-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < ksx-syllables.hex > ksx-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < ksx-syllables.hex > ksx-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < ksx-syllables.hex > ksx-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < ksx-syllables.hex > ksx-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < ksx-syllables.hex > ksx-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < ksx-syllables.hex > ksx-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < ksx-syllables.hex > ksx-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < ksx-syllables.hex > ksx-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < ksx-syllables.hex > ksx-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < ksx-syllables.hex > ksx-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < ksx-syllables.hex > ksx-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < ksx-syllables.hex > ksx-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < ksx-syllables.hex > ksx-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < ksx-syllables.hex > ksx-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < ksx-syllables.hex > ksx-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < ksx-syllables.hex > ksx-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < ksx-syllables.hex > ksx-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < ksx-syllables.hex > ksx-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < ksx-syllables.hex > ksx-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < ksx-syllables.hex > ksx-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < ksx-syllables.hex > ksx-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < ksx-syllables.hex > ksx-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < ksx-syllables.hex > ksx-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < ksx-syllables.hex > ksx-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < ksx-syllables.hex > ksx-syllables/han-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < ksx-syllables.hex > ksx-syllables/han-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < ksx-syllables.hex > ksx-syllables/han-D7.bmp

#
# Extract those syllables that only contain choseong and
# jungseong (initial consonant plus vowel).
#
chojung: hangul-syllables.hex
	if [ ! -d chojung-syllables ]; then \
		mkdir chojung-syllables; \
	fi
	$(BINDIR)/unifontchojung < hangul-syllables.hex > chojung-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < chojung-syllables.hex > chojung-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < chojung-syllables.hex > chojung-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < chojung-syllables.hex > chojung-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < chojung-syllables.hex > chojung-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < chojung-syllables.hex > chojung-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < chojung-syllables.hex > chojung-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < chojung-syllables.hex > chojung-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < chojung-syllables.hex > chojung-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < chojung-syllables.hex > chojung-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < chojung-syllables.hex > chojung-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < chojung-syllables.hex > chojung-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < chojung-syllables.hex > chojung-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < chojung-syllables.hex > chojung-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < chojung-syllables.hex > chojung-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < chojung-syllables.hex > chojung-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < chojung-syllables.hex > chojung-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < chojung-syllables.hex > chojung-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < chojung-syllables.hex > chojung-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < chojung-syllables.hex > chojung-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < chojung-syllables.hex > chojung-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < chojung-syllables.hex > chojung-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < chojung-syllables.hex > chojung-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < chojung-syllables.hex > chojung-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < chojung-syllables.hex > chojung-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < chojung-syllables.hex > chojung-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < chojung-syllables.hex > chojung-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < chojung-syllables.hex > chojung-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < chojung-syllables.hex > chojung-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < chojung-syllables.hex > chojung-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < chojung-syllables.hex > chojung-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < chojung-syllables.hex > chojung-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < chojung-syllables.hex > chojung-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < chojung-syllables.hex > chojung-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < chojung-syllables.hex > chojung-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < chojung-syllables.hex > chojung-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < chojung-syllables.hex > chojung-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < chojung-syllables.hex > chojung-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < chojung-syllables.hex > chojung-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < chojung-syllables.hex > chojung-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < chojung-syllables.hex > chojung-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < chojung-syllables.hex > chojung-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < chojung-syllables.hex > chojung-syllables/han-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < chojung-syllables.hex > chojung-syllables/han-D6.bmp

=== src/Makefile ===

SHELL = /bin/sh

CFLAGS   = -g -O2 -Wall

LOCALBINDIR = ../bin

VPATH = . $(LOCALBINDIR)

#
# INSTALL can be defined on the command line to override
# the next definition.  This is only applied to C programs
# to allow INSTALL="install -s" to be specified.  Perl
# programs just use "install", not "$(INSTALL)".
#
INSTALL=install
#
# $(PREFIX) is defined in top-level directory, so don't do a
# 'make install' within this directory -- do it from above.
#
INSTALLDIR = $(PREFIX)/bin

#
# Programs written in C.
#
CPROGS = unibmp2hex unicoverage unidup unibdf2hex unibmpbump \
	 unifont1per unifontpic unigencircles unigenwidth \
	 unihex2bmp unihexgen unipagecount

#
# Programs written in Perl.
#
# The programs johab2ucs2, unifontchojung, and unifontksx are
# only used for generation of Hangul syllables.
#
PPROGS = bdfimplode hex2bdf hex2sfd hexbraille hexdraw hexkinya hexmerge \
	 johab2ucs2 unifontchojung unifontksx unihex2png unihexfill \
	 unihexrotate unipng2hex unifont-viewer

PROGS = $(CPROGS) $(PPROGS)


all: $(CPROGS) bin

.c:

bin: bin-stamp

bin-stamp: $(CPROGS) $(PPROGS) $(PNGPROGS)
	install -m0755 -d $(LOCALBINDIR)
	$(INSTALL) -m0755 $(CPROGS) $(LOCALBINDIR)
	install    -m0755 $(PPROGS) $(LOCALBINDIR)
	\rm -f $(CPROGS)
	touch $@

install:
	if [ x$(PREFIX) = x ] ; \
	then \
	   @echo "Fatal error: PREFIX directory is not defined." && \
	   @echo "Run 'make install' from top-level directory" && \
	   exit 1 ; \
	fi
	install -m0755 -d $(INSTALLDIR)
	set -e && \
	   cd $(LOCALBINDIR) && \
	   $(INSTALL) -m0755 $(CPROGS) $(INSTALLDIR)
	set -e && \
	   cd ../bin && \
	   install    -m0755 $(PPROGS) $(INSTALLDIR)

#
# The *.exe is for cygwin; it does nothing elsewhere.
# The *.dSYM is for Mac OS X.
#
clean:
	\rm -f $(CPROGS) *.o
	\rm -f *~
	\rm -f *.exe
	\rm -rf *.dSYM

distclean: clean
	\rm -f bin-stamp *~

.PHONY: all bin install clean distclean

=== font/ttfsrc/Makefile ===

SHELL = /bin/sh

BINDIR = ../../bin

FONTFORGE = fontforge

#
# Default values, if not set on the command line when make is invoked:
#
# FONTFILE:  Prefix of the file name for input and output files.
# FONTNAME:  Name of the font inside a TTF file.
# PSNAME:    PostScript name of the font inside a TTF file; can't have spaces.
# COMBINING: Prefix of the file containing a list of combining characters.
#
FONTFILE="unifont"
FONTNAME="Unifont"
PSNAME="Unifont"
COMBINING="combining"

#
# The PostScript name of a font can't contain spaces--remove them.
# Could also use bash string replacement if you know you're using bash.
#

COPYRIGHT = "Copyright (C) 1998-2019 Roman Czyborra, Paul Hardy, \
Qianqian Fang, Andrew Miller, Johnnie Weaver, David Corbett, et al. \
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html> \
with the GNU Font Embedding Exception."

VERSION = 12.0.01

#
# How to build unifont.ttf from GNU Unifont's unifont.hex
# -------------------------------------------------------
# Written by Luis Alejandro Gonzalez Miranda - http://www.lgm.cl/
#

#
# 2008 - Paul Hardy created this Makefile from Luis' original
# howto-build.sh and other bash scripts.  Those original scripts
# don't appear in this archive, but they can be retrieved from
# http://www.lgm.cl/.
#

# First of all, you need a Perl interpreter and FontForge.
#
# I don't remember all the steps, but I think it was as described by
# this script.

# This division is done only so the Simplify and RemoveOverlap
# operations don't use up too much memory, and because
# a .sfd generated from the whole unifont.hex would be too big to
# process all at once.

all: outline

#
# Commented out this operation on SFD file because not all applications
# correctly interpreted the settings:
#
#	    SetFontNames("UnifontMedium", "GNU", "Unifont", "Medium", $(COPYRIGHT), "$(VERSION)"); \
#
# Convert unifont.hex to unifont.sfd as a single file, then generate
# an outline TrueType font.
#
outline: $(FONTFILE).hex $(BINDIR)/hex2sfd
	@echo "Converting font as a single file."
	$(BINDIR)/hex2sfd $(COMBINING).txt < $(FONTFILE).hex > $(FONTFILE).sfd
	$(FONTFORGE) -lang=ff -c \
	   'Open($$1); \
	    SetFontNames("$(PSNAME)Medium", \
		"$(FONTNAME)", "$(FONTNAME)", "Medium", \
		$(COPYRIGHT), "$(VERSION)"); \
	    SelectAll(); \
	    RemoveOverlap(); \
	    Simplify(64,1); \
	    Save($$1);' \
	   $(FONTFILE).sfd
	@echo "Converting .sfd font into .ttf font"
	$(FONTFORGE) -lang=ff -c \
	   'Open($$1); \
	    Generate($$2)' $(FONTFILE).sfd $(FONTFILE).ttf
	\rm -f $(FONTFILE).hex $(COMBINING).txt

#
# This fontforge script reads a BDF font file and generates an SBIT font file.
# Author: written by Qianqian Fang, given to Paul Hardy in 2008.
# The SBIT font is far smaller than the default outline TrueType font
# and takes far less time to build than the outline font.  However, it
# isn't scalable.  An SBIT font could be created and merged with the
# larger TTF font using fontforge, but I (Paul Hardy) haven't noticed
# any degradation in the screen rendering of just the outline TTF font
# that this Makefile produces as its final product.  This is with
# daily use of this Makefile's default TrueType font.
#
# This builds an SBIT font from the unifont_sample BDF font.  The
# BDF font already contains font name, etc., so they don't need to
# be set using SetFontNames; those parameters are left null so the
# existing font's values will be preserved.  However, Fontforge
# does not read the FONT_VERSION property so Paul Hardy added the
# the SetFontNames call.
#
# Commented out because not all applications correctly interpreted
# the settings:
#
#	    SetFontNames("","","","","","$(VERSION)"); \

sbit: $(FONTFILE).bdf
	$(FONTFORGE) -lang=ff -c \
	   'New(); \
	    Import($$1); \
	    SetFontNames("","","","","","$(VERSION)"); \
	    Generate($$2, "ttf"); \
	    Close()' \
	   $(FONTFILE).bdf $(FONTFILE).ttf
	\rm -f $(FONTFILE).bdf

#
# Delete files copied into this directory to build TTF fonts.
#
clean:
	\rm -f *.bdf *.hex *.txt

#
# Delete files created within this directory while building TTF fonts.
#
distclean: clean
	\rm -f *.sfd *.ttf

.PHONY: all outline sbit clean distclean

=== debian/changelog ===
unifont (1:12.0.01-2) unstable; urgency=medium

  * QA upload.
  * Re-upload as source only to target testing.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Sep 2019 14:50:33 -0300

unifont (1:12.0.01-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/copyright: updated contents.

 -- Paul Hardy <unifoundry@unifoundry.com>  Mon, 04 Mar 2019 20:09:44 -0800

=== debian/control ===
Source: unifont
Section: fonts
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-perl
Standards-Version: 4.3.0
Homepage: http://unifoundry.com/unifont/

Package: unifont
Architecture: all
Multi-Arch: foreign
Depends: xfonts-unifont, ttf-unifont, psf-unifont, ${misc:Depends}
Replaces: unifont-bin (<< 1:5.1.20080706-1)
Suggests: unifont-bin
Description: font with a glyph for each visible Unicode Plane 0 character
 This package is a convenient way to install the PCF bitmap version,
 PSF bitmap version, and the scalable TrueType outline version of "Unifont"
 (intended for general-purpose use) and "Unifont Sample" (which contains
 combining circles to use for illustration purposes).  It also installs
 a copy of unifont.hex and related files in /usr/share/unifont.
 .
 GNU Unifont was designed to render something besides an empty box
 for each visible Unicode character in the Basic Multilingual Plane
 (BMP, or Plane 0).  The BMP contains most of the world's modern writing
 scripts.  This font looks best at 12pt.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters change
 shape depending on their position in a word, or such as Mongolian, which
 can be written vertically) will not render perfectly.  The philosophy
 behind this font, though, is that anything meaningful is better than
 an empty box for an unknown glyph.

Package: xfonts-unifont
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: unifont (<< 1:5.1.20080706)
Conflicts: unifont (<< 1:5.1.20080706)
Suggests: ttf-unifont
Description: PCF (bitmap) version of GNU Unifont
 This contains three fonts: "Unifont" (unifont.pcf.gz),
 "Unifont CSUR" (unifont_csur.pcf.gz),  and
 "Unifont Sample" (unifont_sample.pcf.gz).
 .
 This is a bitmap version of Unifont in a standard X11 format.
 The fonts provide a glyph for each visible code point (character)
 in the Unicode Basic Multilingual Plane (BMP, or Plane 0).  The BMP
 contains most of the world's modern writing scripts.  These fonts
 look best at 12pt.
 .
 unifont.pcf.gz contains Unicode Plane 0 glyphs.  This is the main font.
 .
 unifont_sample.pcf.gz contains combining circles for combining characters.
 Thus it is suited for illustrating individual Unicode glyphs, whereas
 Unifont is intended for general-purpose writing.
 .
 unifont_csur.pcf.gz contains some scripts in the Plane 0 ConScript
 Unicode Registry (CSUR).  These scripts are not part of the Unicode
 Standard, but are a popular use for the Private Use Area (PUA).
 .
 Complex fonts (such as Indic or Semitic scripts, where letters change
 shape depending on their position in a word, or such as Mongolian, which
 can be written vertically) will not render perfectly.  The philosophy
 behind this font, though, is that anything meaningful is better than
 an empty box for an unknown glyph.
 .
 Consider using the TrueType version instead (ttf-unifont), because
 that version is scalable to any point size and has proper combining
 character support.

Package: ttf-unifont
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: TrueType version of GNU Unifont
 This contains four fonts: "Unifont", "Unifont Upper", "Unifont CSUR",
 and "Unifont Sample".
 .
 unifont.ttf is a bitmap font converted into a scalable TrueType
 outline font, Unifont.  Each pixel in the original bitmap font
 is represented as an outlined square.  The font provides a glyph
 for each visible code point (character) in the Unicode Basic
 Multilingual Plane (BMP, or Plane 0).  The BMP contains most of
 the world's modern writing scripts.  This font looks best at 12pt.
 .
 unifont_upper.ttf is a bitmap font converted into a scalable TrueType
 outline font that covers Unicode ranges above Plane 0.  Most of its
 glyphs are in Plane 1, the Unicode Supplemental Multilingual Plane (SMP).
 .
 unifont_csur.ttf is a bitmap font converted into a scalable TrueType
 outline font that contains some scripts in the ConScript Unicode
 Registry (CSUR).  These scripts are not part of the Unicode Standard,
 but are a popular use for the Private Use Area (PUA).  This font
 contains glyphs in Plane 0 and in the higher PUA planes.
 .
 unifont_sample.ttf is an SBIT font that contains combining circles
 and is therefore suitable for illustrating individual Unicode glyphs.
 The other font files do not contain combining circles and so are suitable
 for general-purpose writing.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters change
 shape depending on their position in a word, or such as Mongolian, which
 can be written vertically) will not render perfectly.  The philosophy
 behind this font, though, is that anything meaningful is better than
 an empty box for an unknown glyph.

Package: psf-unifont
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: ttf-unifont
Description: PSF (console) version of GNU Unifont with APL support
 This contains a PSF font (Unifont-APL8x16.psf) as a console frame
 buffer font with a subset of Unifont for use with GNU APL and other
 APL implementations.  The font is installed in "/usr/share/consolefonts/".
 This PSF font is only suitable for running in console mode, not under the
 X Window System.
 .
 A PSF font allows a maximum of 512 glyphs.  The glyph subset in this
 font includes ASCII, Latin-1, "oe" and "OE" ligatures for French, the
 Euro sign, Unicode Box Drawing, Unicode Block Elements, plus various
 glyphs for APL support and some other miscellaneous glyphs.  The font
 is monospaced, 8 pixels wide by 16 pixels tall.
 .
 Consider using the TrueType version instead (ttf-unifont) if you are
 not running in console mode, because that version is scalable to any
 point size and has proper combining character support.

Package: unifont-bin
Section: x11
Architecture: any
Depends: xfonts-utils, bdf2psf, fontforge, ${shlibs:Depends}, ${misc:Depends},
 ${perl:Depends}, libwx-perl, libgd-perl
Suggests: unifont, texinfo, texlive
Description: utilities for manipulating GNU Unifont
 This is a set of Perl scripts, C programs, and FontForge scripts
 to manipulate Roman Czyborra's GNU Unifont ".hex" format font
 files.  GNU Unifont has a Unicode-compatible font structure.
 These utilities allow editing ".hex" fonts with text and
 graphical editors, producing final versions of fonts in BDF,
 PCF, PSF, TrueType SBIT, and TrueType outline formats.
 .
 To build the TrueType fonts, install the package 'fontforge'.  To build
 the PCF fonts, use 'bdftopcf', which is in the 'xfonts-utils' package.
 To build the PSF font, use 'bdf2psf', which is in the 'console-setup'
 package.  To obtain the font sources, run 'apt-get source unifont'.
 .
 Building the main Unifont TrueType font will require at least 4 GB of
 main memory.  You only need texlive (~1 GB) if you want to rebuild the
 unifont.pdf file in doc/ (see doc/Makefile); this is not done by default.

## unifont 13.0.03

=== debian/changelog ===
unifont (1:13.0.03-1) unstable; urgency=medium

  * New upstream version 13.0.03
  * debian/patches
    - Drop Makefile.patch: merged upstream

 -- Hideki Yamane <henrich@debian.org>  Fri, 17 Jul 2020 22:14:18 +0900

unifont (1:13.0.02-1) experimental; urgency=medium

  * New upstream version 13.0.02

  * Set New Maintainer and Uploaders (Closes: #923914)
  * debian/control
    - Rename ttf-unifont to fonts-unifont and make ttf- package as
      transitional package
    - Set debhelper-compat (= 13)
    - Set Build-Depends-Indep: fontforge-nox | fontforge
    - Use https for upstream URL
    - Move Vcs-* to salsa.debian.org
    - Demote Depend: xfonts-unifont to Recommends: to avoid lintian error
  * debian/copyright
    - Use https for upstream URL
  * debian/watch
    - Use version4 syntax
  * debian/salsa-ci.yml
    - Disable unnecessary tests
  * debian/patches
    - Add Makefile.patch to fix parallel build
  * Add debain/gbp.conf to specify debian branch for gbp-import-orig
  * Drop unnecessary (and useless) debian/unifont.lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Jul 2020 21:52:00 +0900

unifont (1:12.0.01-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Changed from Conflicts to Breaks in xfonts-unifont binary block,
        because it provides the package manager more leeway to find a valid
        upgrade path.
      - Created VCS fields.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/unifont-bin.lintian-overrides: created to explain about a package
    name in Debian.
  * debian/upstream/metadata: added Repository-Browse field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Apr 2020 01:37:22 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: unifont
 Section: fonts
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 11)
-Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-perl
-Standards-Version: 4.3.0
-Homepage: http://unifoundry.com/unifont/
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Uploaders: Hideki Yamane <henrich@debian.org>
+Build-Depends: debhelper-compat (= 13),
+Build-Depends-Indep: fontforge-nox | fontforge, xfonts-utils, bdf2psf, libgd-perl
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://unifoundry.com/unifont/
+Vcs-Browser: https://salsa.debian.org/fonts-team/unifont
+Vcs-Git: https://salsa.debian.org/fonts-team/unifont.git
 
 Package: unifont
 Architecture: all
 Multi-Arch: foreign
-Depends: xfonts-unifont, ttf-unifont, psf-unifont, ${misc:Depends}
+Depends: fonts-unifont, psf-unifont, ${misc:Depends}
+Recommends: xfonts-unifont,
 Replaces: unifont-bin (<< 1:5.1.20080706-1)
 Suggests: unifont-bin
 Description: font with a glyph for each visible Unicode Plane 0 character
@@ -36,7 +41,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: unifont (<< 1:5.1.20080706)
-Conflicts: unifont (<< 1:5.1.20080706)
+Breaks: unifont (<< 1:5.1.20080706)
 Suggests: ttf-unifont
 Description: PCF (bitmap) version of GNU Unifont
  This contains three fonts: "Unifont" (unifont.pcf.gz),
@@ -71,8 +76,16 @@
 
 Package: ttf-unifont
 Architecture: all
+Depends: ${misc:Depends}, fonts-unifont,
+Description: TrueType version of GNU Unifont (transitional dummy package)
+ This is transitional dummy package, safely removed.
+
+Package: fonts-unifont
+Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Replaces: ttf-unifont (<< 1:13.0.02-1)
+Breaks: ttf-unifont (<< 1:13.0.02-1)
 Description: TrueType version of GNU Unifont
  This contains four fonts: "Unifont", "Unifont Upper", "Unifont CSUR",
  and "Unifont Sample".
@@ -109,7 +122,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: ttf-unifont
+Suggests: fonts-unifont
 Description: PSF (console) version of GNU Unifont with APL support
  This contains a PSF font (Unifont-APL8x16.psf) as a console frame
  buffer font with a subset of Unifont for use with GNU APL and other

## unifont 13.0.05

=== debian/changelog ===
unifont (1:13.0.05-1) unstable; urgency=medium

  * New upstream version 13.0.05

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Dec 2020 15:58:13 +0900

unifont (1:13.0.04-1) unstable; urgency=medium

  * New upstream version 13.0.04
  * debian/control
    - Set Standards-Version: 4.5.1 with no change

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 Nov 2020 13:34:01 +0900
